function [ out ] = etwid(lamda, tbar, e0, e1)
%Computes generalized e-twiddle profile going forward from time tbar
%See online appendix for derivation
    if(tbar>=.5)
        out = 2*e0 - e1 - 2.*(tbar+lamda).*(e0-e1);
    end
    if(tbar<.5)
        sec1=(lamda<=1-2.*tbar);
        sec2=(lamda>1-2.*tbar);
        out = (e0-lamda.*(e0-e1)).*sec1+(2*e0-e1-2.*(tbar+lamda).*(e0-e1)).*sec2;
    end
    out=max(out,0);
end

